linear.hh File Reference
`#include <gecode/int.hh>`
`#include <gecode/float.hh>`
`#include <gecode/float/linear/nary.hpp>`

Go to the source code of this file.

## Classes

class | Gecode::Float::Linear::Lin< P, N, pc >
| Base-class for n-ary linear propagators. More...
class | Gecode::Float::Linear::Eq< P, N >
| Propagator for bounds consistent n-ary linear equality More...
class | Gecode::Float::Linear::Lq< P, N >
| Propagator for bounds consistent n-ary linear less or equal More...
class | Gecode::Float::Linear::Term
| Class for describing linear term . More...

## Namespaces

namespace | Gecode::Float::Linear
| Linear propagators
namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Float
| Floating point numbers.

## Functions

void | Gecode::Float::Linear::estimate (Term *t, int n, FloatVal c, FloatNum &l, FloatNum &u)
| Estimate lower and upper bounds.
void | Gecode::Float::Linear::post (Home home, Term *t, int n, FloatRelType frt, FloatVal c)
| Post propagator for linear constraint over floats.
void | Gecode::Float::Linear::post (Home home, Term *t, int n, FloatRelType frt, FloatVal c, Reify r)
| Post propagator for reified linear constraint over floats.